Subject: Re: bug#60587: Patch for adding links to symbols' help documentation

From: Stefan Monnier <[email-masked]>
Date: Mon, 20 Feb 2023 21:12:11 -0500

> The only thing, which feels strange to me, is that
> 'info-links-to-help-mode' is now a minor mode for all buffers (and
> modes).  Sure, it's only affecting 'Info-mode' but isn't there a way of
> making it a "global" minor mode only for Info buffers?  Anyway, I
> couldn't find a way to restrict global minor modes to certain major
> modes.

No it's perfectly normal to have a global preference that only affects
the buffers for which it's relevant.  I like my food to be spicy and
that's just as true when I eat as when I don't but it has consequences
only when I do.

        Stefan